Bug 1026241 - Installer changes property name for domain-controller remote host port in host-slave.xml file
Installer changes property name for domain-controller remote host port in hos...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: CR3
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 04:21 EST by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-04 04:21:38 EST
Description of problem:
 Property name for domain-controller's remote host port in host-slave.xml file is changed by installation process.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER7

How reproducible:
 Always

Steps to Reproduce:
 1. Install EAP, use default values, no need to do some special configuration just use default values.
 2. Open host-slave.xml file.

Actual results:
<domain-controller>
    <remote host="${jboss.domain.master.address}" port="${jboss.management.native.port:9999}" security-realm="ManagementRealm"/>
</domain-controller>

Expected results:
<domain-controller>
    <remote host="${jboss.domain.master.address}" port="${jboss.domain.master.port:9999}" security-realm="ManagementRealm"/>
</domain-controller>
Comment 1 Francisco Canas 2013-11-04 15:28:53 EST
Corrected the remote port property for domain-controller.

See:
http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=f0670d8e7e39203369a9488f00c2c2a6fadd0a9f
Comment 2 Petr Kremensky 2013-11-14 05:56:13 EST
Verified on EAP 6.2.0.CR1 installer. Remote port now use correct property in host-slave.xml.
Comment 3 Petr Kremensky 2013-11-19 03:58:29 EST
This is broken again with EAP 6.2.0.CR2. Same issue as in description.
Comment 4 Petr Kremensky 2013-11-19 05:07:16 EST
Please see also bug 1030512, comment 2 as it seem to be related.
Comment 5 Miles Tjandrawidjaja 2013-11-19 13:35:44 EST
Property is now retained.
Remote host port will keep the "jboss.domain.master.port".
http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=8c1bb2e4452496400a423bc22e4eac60b0835302
Comment 6 Petr Kremensky 2013-11-20 01:31:15 EST
Keep in mind that also port number for remote host should stay 9999 no matter what port number will user choose to use for jboss.management.native.port.
Comment 7 Miles Tjandrawidjaja 2013-11-20 09:23:45 EST
Updated as needed.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2
Comment 8 Petr Kremensky 2013-11-22 02:23:01 EST
Verified on EAP 6.2.0.CR3 installer.

Note You need to log in before you can comment on or make changes to this bug.